<?php
Kirki::add_section( 'book_author_blog_theme_header_section', array(
    'title'          => esc_html__( 'Header Settings', 'book-author-blog' ),
    'panel'          => 'book_author_blog_global_panel',
    'priority'      => 10,
) );

Kirki::add_field( 'book_author_blog_config', [
    'type'        => 'color',
    'settings'    => 'header_bg_color',
    'label'       => __( 'Background Color', 'book-author-blog' ),
    'section'     => 'book_author_blog_theme_header_section',
    'default'     => '#000000',
    'transport'   => 'auto',
    'priority'  => 3,
    'output' => array(
        array(
            'element'  => 'header#masthead',
            'property' => 'background-color',
        ),
    ),
] );

Kirki::add_field( 'book_author_blog_config', [
    'type'        => 'typography',
    'settings'    => 'header_title_typography',
    'label'       => esc_html__( 'Site Title Typography', 'book-author-blog' ),
    'section'     => 'book_author_blog_theme_header_section',
    'default'     => [
        'font-family'    => 'Roboto',
        'variant'        => 'bold',
        'font-size'      => '1.3rem',
        'line-height'    => '1.6',
        'letter-spacing' => '0px',
        'color'          => '#ffffff',
        'text-transform' => 'none',
    ],
    'transport'   => 'auto',
    'priority'      => 6,
    'output'      => [
        [
            'element' => '.site-branding .site-title a',
        ],
    ],
] );

Kirki::add_field( 'book_author_blog_config', [
    'type'        => 'typography',
    'settings'    => 'header_desc_typography',
    'label'       => esc_html__( 'Site Description Typography', 'book-author-blog' ),
    'section'     => 'book_author_blog_theme_header_section',
    'default'     => [
        'font-family'    => 'Roboto',
        'variant'        => 'regular',
        'font-size'      => '1rem',
        'line-height'    => '1.4',
        'letter-spacing' => '0px',
        'color'          => '#ffffff',
        'text-transform' => 'none',
    ],
    'transport'   => 'auto',
    'priority'      => 7,
    'output'      => [
        [
            'element' => '.site-branding p.site-description',
        ],
    ],
] );

Kirki::add_field( 'book_author_blog_config', [
    'type'        => 'typography',
    'settings'    => 'header_menu_typography',
    'label'       => esc_html__( 'Menu Typography', 'book-author-blog' ),
    'section'     => 'book_author_blog_theme_header_section',
    'default'     => [
        'font-family'    => 'Roboto',
        'variant'        => 'regular',
        'font-size'      => '1rem',
        'line-height'    => '1.6',
        'letter-spacing' => '0px',
        'color'          => '#ffffff',
        'text-transform' => 'none',
    ],
    'transport'   => 'auto',
    'priority'  => 8,
    'output'      => [
        [
            'element' => '#cssmenu>ul>li>a',
        ],
    ],
] );

Kirki::add_field( 'book_author_blog_config', [
    'type'        => 'color',
    'settings'    => 'header_icon_color',
    'label'       => esc_html__( 'Icon Color', 'book-author-blog' ),
    'section'     => 'book_author_blog_theme_header_section',
    'default'     => '#ffffff',
    'transport'   => 'auto',
    'priority'      => 12,
    'output'      => [
        [
            'element' => '.social-links-wrapper.header-social-links a',
        ],
    ],
] );


Kirki::add_field( 'book_author_blog_config', array(
    'type'        => 'custom',
    'settings'    => 'unlock_header_style_field',
    'label'       => '',
    'priority'    => 16,
    'section'     => 'book_author_blog_theme_header_section',
    'default'     => '<a target="_blank" class="customizer-upgrade-to-pro" href="'.esc_url( 'https://rswpthemes.com/author-portfolio-pro-wordpress-theme/' ).'">'.esc_html__('Upgrade To Pro To Unlock All Features', 'book-author-blog').'</a>',
) );

do_action('bab_header_settings');